#include <stdio.h>

#define MAXDL 1200000 // maximalna dlzka vstupu
#define ABC 30 // velkost abecedy
#define max(a,b) (((a)>(b))?(a):(b))
#define sgn(a) (((a)<0)?-1:1)

FILE *fin=fopen("magie.in","rt");
FILE *fout=fopen("magie.out","wt");

char s[MAXDL][2];
int poc[2][ABC];    // vyska daneho pismena
int next[2][MAXDL]; // pozicia dalsieho rovnakeho pismena vo vstup
int first[2][ABC];  // kde sa prvykrat nachadza dane pismeno
short pom[2][MAXDL];

int last[ABC]; // posledna pozicia, kde sa vyskytlo dane pismeno na vstupe

int n; // dlzka vstupu

int srot()
{
  int i,pis;
  
  for ( i=0; i<ABC; i++ ) {poc[0][i]=0; first[0][i]=-1;}
  for ( i=0; i<n; i++ )
  {
    pis=s[i][0]-'a';
    poc[0][pis]++;
    if (first[0][pis]==-1) first[0][pis]=i; // prvy vyskyt
    else next[0][last[pis]]=i;
    next[0][i]=-1;
    last[pis]=i;
  } 

  //
  
  for ( i=0; i<ABC; i++ ) {poc[1][i]=0; first[1][i]=-1;}
  for ( i=0; i<n; i++ )
  {
    pis=s[i][1]-'a';
    poc[1][pis]++;
    if (first[1][pis]==-1) first[1][pis]=i; // prvy vyskyt
    else next[1][last[pis]]=i;
    next[1][i]=-1;
    last[pis]=i;
  } 

  return 0;
}

int porovnaj()
{
  int i;
  int poz01,poz02,poz11,poz12;
  int n0,n1;

  for ( i=0; i<26; i++ ) if (poc[0][i]!=poc[1][i]) return 1; // rozdielny pocet pismen
  
  for ( i=0; i<25; i++ ) 
  {
    poz01=first[0][i];  poz02=first[0][i+1];
    poz11=first[1][i];  poz12=first[1][i+1];

    if (poz01 < poz02 && poz11 > poz12) return 1;
    if (poz01 > poz02 && poz11 < poz12) return 1;    
    
    while (1)
    {
      if (sgn(poz01) * sgn(poz11) < 0) return 1; // t.j. prave jedna je -1
      if (sgn(poz02) * sgn(poz12) < 0) return 1; // t.j. prave jedna je -1
      if (poz01==-1 && poz11==-1) break; // uz nie je viac pismen i
      if (poz02==-1 && poz12==-1) break; // uz nie je viac pismen i+1

      if (poz01 < poz02)
      {
        poz01=next[0][poz01]; n0=1;
      }
      else 
      {
        poz02=next[0][poz02]; n0=2;
      }
      
      if (poz11 < poz12)
      {
        poz11=next[1][poz11]; n1=1;
      }
      else
      {
        poz12=next[1][poz12]; n1=2;
      }

      if (n0!=n1) return 1;
    }    
  }

  return 0;
}

int main()
{
  int i;
  char *ss;
  
  while (1)
  {
    fscanf(fin,"%d ", &n);
    if (!n) break;
    
    ss=s[0];
    for ( i=0; i<2*n; i++ )
    {
      *ss=getc(fin); ss++;
      *ss=getc(fin); 
    }

    srot(); 
    if (porovnaj()) fprintf(fout,"ne"); fprintf(fout,"ekvivalentni\n");
  }

  return 0;
}
